Error deleting file
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/w/index.php?title=File:Tero_Saarinen_Company_-_BORROWED_LIGHT_%28photo_Lauren_Philippe%29.jpg:
Error deleting file: The file "mwstore://local-multiwrite/local-public/c/c3/Tero_Saarinen_Company_-_BORROWED_LIGHT_(photo_Lauren_Philippe).jpg" is in an inconsistent state within the internal storage backends


Version: wmf-deployment
Severity: major

bzimport added a project: Wikimedia-Media-storage.Via ConduitNov 22 2014, 2:04 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz53553.
Steinsplitter created this task.Via LegacyAug 29 2013, 7:28 PM
Multichill added a comment.Via ConduitAug 29 2013, 7:30 PM

Tried and got the exact same message.

bzimport added a comment.Via ConduitAug 29 2013, 7:50 PM

daniel wrote:

I might have triggered this mess.
I believe I was the first to attempt deletion and accidentally closed the browser tab while the deletion was still in progress. Could be a coincidence though.

bzimport added a comment.Via ConduitAug 29 2013, 8:09 PM

inevercry.commons wrote:

I first saw this bug a little over a year ago, when trying to do a file rename:

http://commons.wikimedia.org/w/index.php?title=User_talk:%C5%A0J%C5%AF&diff=75933182&oldid=75530530

http://commons.wikimedia.org/w/index.php?title=File:D%C4%9B%C4%8D%C3%ADn,_Dlouh%C3%A1_j%C3%ADzda,_pivovarsk%C3%BD_kom%C3%ADn.jpg&redirect=no

I've had it happen again a few times over the last year. If this bug were to affect an inappropriate image or attack image, and admins couldn't get it deleted quickly, it could be a serious problem. I wonder if a file affected by this bug could be quickly suppressed also.

bzimport added a comment.Via ConduitAug 29 2013, 11:42 PM

daniel wrote:

The file is gone now. Rillke succeeded!

aaron added a comment.Via ConduitAug 30 2013, 12:26 AM

(In reply to comment #6)

The file is gone now. Rillke succeeded!

I manually fixed it beforehand. I didn't look at the other one though.

bzimport added a comment.Via ConduitSep 10 2013, 6:16 PM

inevercry.commons wrote:

Here's another file that can't be deleted due to this same problem:

https://commons.wikimedia.org/wiki/File:Al-Fahd.jpg

Steinsplitter added a comment.Via ConduitSep 11 2013, 7:13 AM

Here's another file:
Error while moving the page.
A detailed description of the error is shown below:
API request failed (unknownerror): Unknown error: "backend-fail-synced" <i>at Wed, 11 Sep 2013 07:12:44 GMT</i> <u>served by mw1191</u>

https://commons.wikimedia.org/wiki/File:Kath._Pfarrkirche_hl._Michael_in_R%C3%B6hrenbach.jpg

aaron added a comment.Via ConduitSep 11 2013, 5:06 PM

*** Bug 53838 has been marked as a duplicate of this bug. ***

aaron added a comment.Via ConduitSep 11 2013, 5:10 PM

Ceph was removed from configuration, so these should all be gone now.

Legoktm added a comment.Via ConduitSep 11 2013, 9:32 PM

Reported by ziggy_sawdust in #wikipedia-en at 2:15 PDT:

i'm trying to update a map image on commons and it's tetlling me "Could not create directory "mwstore://local-multiwrite/local-public/f/fd"."

Unsure if this is related or not...

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:15 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:21 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:20 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.